libnvme(2)

NAME
struct nvme_fw_commit_event - Firmware Commit Event Data

SYNOPSIS
struct nvme_fw_commit_event {
__le64 old_fw_rev;
__le64 new_fw_rev;
__u8 fw_commit_action;
__u8 fw_slot;
__u8 sct_fw;
__u8 sc_fw;
__le16 vndr_assign_fw_commit_rc;
};

Members

old_fw_rev
    Old Firmware Revision

new_fw_rev
    New Firmware Revision

fw_commit_action
    Firmware Commit Action

fw_slot
    Firmware Slot

sct_fw
    Status Code Type for Firmware Commit Command

sc_fw
    Status Returned for Firmware Commit Command

vndr_assign_fw_commit_rc
    Vendor Assigned Firmware Commit Result Code